## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.gef.ui.actions.ActionBarContributor
              org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor
                  org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramActionBarContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

    public class EcoreDiagramActionBarContributor

extends org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor

Constructor Summary
`EcoreDiagramActionBarContributor()`

Method Summary
`protected java.lang.Class` `getEditorClass()`
`protected java.lang.String` `getEditorId()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor
`buildActions, declareGlobalActionKeys, dispose, init`

Methods inherited from class org.eclipse.gef.ui.actions.ActionBarContributor
`addAction, addGlobalActionKey, addRetargetAction, getAction, getActionRegistry, setActiveEditor`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, contributeToMenu, contributeToStatusLine, contributeToToolBar, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDiagramActionBarContributor

    public EcoreDiagramActionBarContributor()

Method Detail

### getEditorClass

    protected java.lang.Class getEditorClass()

  Specified by:
    `getEditorClass` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor`

### getEditorId

    protected java.lang.String getEditorId()

  Specified by:
    `getEditorId` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor`

Copyright 2007 Anyware Technologies. All Rights Reserved.